using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.ComponentModel;
namespace ISET2018_WPF
{
    /// <summary>
    /// Logique d'interaction pour Fen3.xaml
    /// </summary>
    public partial class Fen3 : Window
    {
        public Fen3()
        {
            InitializeComponent();
        }
    }
    public class Data : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void onPropertyChanged(string PropertyName)
        {
            PropertyChangedEventHandler Handler = PropertyChanged;
            if (Handler != null)
                Handler(this, new PropertyChangedEventArgs(PropertyName));
        }
    }
    public class Personne : Data
    {
        private int id;
        private string nom, pre;

        public int Id { get => id; set => id = value; }
        public string Nom { get => nom; set => nom = value; }
        public string Pre { get => pre; set => pre = value; }

        public Personne()
        {

        }
        public Personne(string nom, string pre)
        {
            Id = -1;
            Nom = nom; Pre = pre;
        }
        public Personne(int id, string nom, string pre)
        {
            Id = id;Nom = nom;Pre = pre;
        }

    }
}
